Reply
Highlighted
Member
Posts: 1
Registered: ‎11-20-2010

CIM createCustomerPaymentProfile error

I am using your PHP SDK (latest version) with class: AuthorizeNetCIN.
I am receiving the error when I call function: createCustomerPaymentProfile  with activated: validationMode = ‘testMode’.  Error:
Error: Error Message: The element 'createCustomerPaymentProfileRequest' in namespace 'AnetApi/xml/v1/schema/AnetApiSchema.xsd' has invalid child element 'validationMode' in namespace 'AnetApi/xml/v1/schema/AnetApiSchema.xsd'. List of possible elements expected: 'refId, customerProfileId' in namespace 'AnetApi/xml/v1/schema/AnetApiSchema.xsd'. E00003
If I use ‘none’ for validation, the profile will be added successfully. Please take a look at our last request. Or, please tell us how to get generated XML request from your library.

Highlighted
All Star
Posts: 1,072
Registered: ‎08-17-2009

Re: CIM createCustomerPaymentProfile error

Hey savinovalex,

 

This is a known bug that will be fixed with the next release. 

 

To work around this issue in the meantime, you can perform the following modifications to the SDK code:

 

In lib/AuthorizeNetCIM.php:

Remove line 368 from the _constructXml method:
($this->_validationMode != "none" ? $this->_xml->addChild('validationMode',$this->_validationMode) : "");

Add this line at line # 346, the first line of the _setPostString() method:

($this->_validationMode != "none" ? $this->_xml->addChild('validationMode',$this->_validationMode) : "");

 

Hopefully that will help.

 

Thanks,

 

Michelle

Developer Community Manager

Highlighted
Member
Posts: 3
Registered: ‎11-29-2010

Re: CIM createCustomerPaymentProfile error

How about a workaround for us ASPX/C# users?

Highlighted
Administrator
Posts: 591
Registered: ‎08-21-2009

Re: CIM createCustomerPaymentProfile error

The error mentioned here is specific to the PHP SDK. Are you saying that you are receiving something similar using the C# SDK?

Highlighted
Member
Posts: 1
Registered: ‎09-30-2013

Re: CIM createCustomerPaymentProfile error

 

I have same error in ios sdk.